#
# spec file for package mpitests-mvapich2-psm
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mpitests-mvapich2-psm
Summary:        MPI Benchmarks and tests for mvapich2-psm
License:        BSD-3-Clause and IPL-1.0
Group:          Development/Languages/Other
Version:        3.2
Release:        2.5
Source:         mpitests-%version.tar.bz2
Source1:        mpitests-rpmlintrc
Patch0:         mpitests-order_of_evaluation.patch
Patch1:         mpitests-rpm_opt_flags.patch
Patch2:         mpitests-link_to_libm.patch
Patch3:         mpitests-codecleanup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  dos2unix
BuildRequires:  mvapich2-psm-devel
Requires:       mpitests = %{version}
Conflicts:      mpitests-mvapich2
ExclusiveArch:  %ix86 x86_64

%description
MPI Benchmarks and tests for mvapich2.

%

%prep
%setup -q -n mpitests-%version
%patch0 -p1
%patch1
%patch2
%patch3
dos2unix $(find . -name ReadMe_IMB.txt)

%build
for i in mvapich2; do
make MPIHOME=/usr/%_lib/mpi/gcc/$i STACK_PREFIX=%_prefix
done

%install
for i in mvapich2; do
make MPIHOME=$RPM_BUILD_ROOT/usr/%_lib/mpi/gcc/$i install
install -m 755 presta-1.4.0/manage_targets.py $RPM_BUILD_ROOT/usr/%_lib/mpi/gcc/$i/tests/presta-1.4.0
done

%files 
%defattr(-, root, root)
%doc IMB-3.1/license/license.txt
%doc IMB-3.1/license/use-of-trademark-license.txt
%_libdir/mpi/gcc/mvapich2/tests

%changelog
* Fri Jul 11 2014 ro@suse.de
- add exclusivearch to match mvapich2-psm
* Fri May 23 2014 pth@suse.de
- Create mpitests-mvapich2-psm from its own spec.
* Fri Mar 28 2014 pth@suse.de
- Rename mpitests-mvapich2.dif to mpitests-order_of_evaluation.patch.
- Package the license files for the Intel benchmarks.
- Add mpitests-rpm_opt_flags.patch to pass RPM_OPT_FLAGS to compiler.
- Add mpitests-link_to_libm.patch to link to libm.
- Convert all text files to unix format.
- Remove the files refering to mvapich.
- Add mpitests-codecleanup.patch to fix a cased of uninitialised
  var being used.
* Fri Jan 24 2014 pth@suse.de
- Update to OFED 3.12 daily.
* Mon Jan 13 2014 pth@suse.de
- New package from SLE
* Fri Sep  6 2013 pth@suse.de
- Enable build on s390(x).
* Thu Oct 28 2010 jjolly@novell.com
- Update to v3.2 from OFED 1.5.2
* Tue Oct 28 2008 jjolly@suse.de
- Updated to verion 3.1 from OFED 1.4 rc3
- Split off mpitests-mvapich and mpitests-mvapich2 to avoid build
  conflict
* Wed Jul 11 2007 hvogel@suse.de
- Initial Package, Version 2.0
